{% block ScoBehaviors_stylesheets %}
    <link rel="stylesheet" href="{{ asset('bundles/scobehaviors/css/sco_behaviors_bootstrap_main.css') }}">
{% endblock ScoBehaviors_stylesheets %}

<div class="row" data-id="{{ c.id }}">
    <div class="col-sm-1 image-content">
        <div class="thumbnail">
            <img class="img-responsive user-photo" src="https://ssl.gstatic.com/accounts/ui/avatar_2x.png">
        </div>
    </div>

    <div class="col-sm-11">
        <div class="panel panel-default">
            <div class="panel-heading">
                {% if c.countParent() < limit and not disableReplyOnComment %}
                    <div class="pull-right">
                        <button type="button" class="btn sco_behaviors__comment__list__comment__reply" data-toggle="modal" data-target="#scoBehaviorsCommentModal{{ c.id }}">
                            {{ 'sco.comment.button.reply'|trans }} <i class="fas fa-angle-right"></i>
                        </button>
                    </div>
                {% endif %}
                <div>
                    <strong>{{ c.createdBy }}</strong> <span class="text-muted">{{ 'sco.comment.commented_at'|trans }} {{ c.createdAt|date('l, d-M-Y H:i') }}</span>
                </div>
            </div>
            <div class="panel-body">
                {{ c.content|nl2br }}
            </div>
        </div>
    </div>
</div>

{% if not disableReplyOnComment %}
    <!-- Modal for reply comment form -->
    <div id="scoBehaviorsCommentModal{{ c.id }}" class="modal fade" role="dialog">
        <div class="modal-dialog">

            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">{{ 'sco.comment.title.reply'|trans }}</h4>
                </div>
                <div class="modal-body">
                    {{ render(controller('ScoBehaviorsBundle:Comment:form', {'object': object, 'parentId': c.id})) }}
                </div>
            </div>

        </div>
    </div>
{% endif %}
